%define modname gavl
%define name    ocaml-%{modname}
%define version 0.1.4
%define release %mkrel 3

Summary:        Ocaml interface to gavl
Name:           %{name}
Version:        %{version}
Release:        %{release}
Source0:        http://downloads.sourceforge.net/project/savonet/%{name}/%{version}/%{name}-%{version}.tar.gz
License:        GPLv2
Group:          Development/Other
Url:            http://savonet.sourceforge.net/

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  libgavl-devel
Requires:  libgavl-devel

%description 
This OCaml library is an O'Caml interface for Gmerlin Audio
Video Library, otherwise known as gavl.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
./configure --libdir=%{_libdir}
make all doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/%{modname}
make install


%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/%{modname}
%{_libdir}/ocaml/%{modname}/META
%{_libdir}/ocaml/%{modname}/*.cma
%{_libdir}/ocaml/%{modname}/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/html/
%{_libdir}/ocaml/%{modname}/*.a
%{_libdir}/ocaml/%{modname}/*.cmxa
%{_libdir}/ocaml/%{modname}/*.cmx
%{_libdir}/ocaml/%{modname}/*.mli



%changelog

* Sat Feb 18 2012 malo <malo> 0.1.4-3.mga2
+ Revision: 210173
- missing requires
- spec clean-up

* Sun Oct 02 2011 shlomif <shlomif> 0.1.4-2.mga2
+ Revision: 151067
- Rebuild for new OCaml - thanks to Malo.

* Fri Sep 30 2011 shlomif <shlomif> 0.1.4-1.mga2
+ Revision: 150563
- imported package ocaml-gavl

